# The La Jolla Difference Set Repository


[The La Jolla Combinatorics Repository](https://dmgordon.org) is a website where I
maintain database of covering designs, difference sets, and circulant
weighing matrices.  This repository is another version of the difference set
dataset, presented here as a Jupyter notebook.

This is an experiment in making a FAIR (Findable, Accessible,
Interoperable, Reusable) mathematical database (see [The FAIR Guiding
Principles for scientific data management and
stewardship](https://doi.org/10.1038/sdata.2016.18) for details.
After researching different approaches used by researchers in
many different scientific areas, implementing it as a Jupyter Notebook
seemed like the best current option.

This repository contains a json file with all the data from the paper,
and python code to read it and display the results.  It can be run
interactively with [binder](https://mybinder.org), or downloaded and
run locally.  Anyone wishing to further develop the code to do
research on difference sets is welcome to under the [CC-BY-4.0](https://creativecommons.org/licenses/by/4.0)
license (giving attribution to the original work).

To run the notebook with binder, click here: [![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/dmgordo/difference-sets/master?filepath=difference_sets.ipynb)

## Contact 
If you encounter any problems with this repository, please report them
to <dmgordo@gmail.com>.
